package cn.hmsoft.weixin.request;

import cn.hmsoft.helper.JsonHelper;
import cn.hmsoft.weixin.entity.request.MenuCreateRequestJson;
import cn.hmsoft.weixin.entity.response.WxResponseJson;

/*******************************
 * @note 创建微信菜单
 * @author revisit@126.com
 * @Company: www.hmsoft.cn
 * @create 2017-05-09 00:40:05
 * @version 4.0.0
 */
public class MenuGreateRequest extends AbstractRequest<WxResponseJson, WxResponseJson, MenuCreateRequestJson> {

	private final static String url = "https://api.weixin.qq.com/cgi-bin/menu/create?";

	public MenuGreateRequest(MenuCreateRequestJson json) {
		this.requestEntity = json;
	}

	@Override
	protected String makeUrl() {
		return url + "access_token=" + this.wxDefine.getApp_accesstoken();
	}

	@Override
	protected String transateRequestJsonCode() {
		return JsonHelper.fromObjectWithChar(this.requestEntity);

	}
}
